<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum CuttingStatus: string
{
    use HasValues;

    case CANCELLED = 'cancelled';
    case COMPLETED = 'completed';
    case IN_PROGRESS = 'in_progress';

    public function label(): string
    {
        return match ($this) {
            self::CANCELLED => 'Dibatalkan',
            self::COMPLETED => 'Selesai',
            self::IN_PROGRESS => 'Dalam Proses',
        };
    }
}
